## org.apache.aries.subsystem.core.internal
Class GetBundleContextAction

    java.lang.Object
      org.apache.aries.subsystem.core.internal.GetBundleContextAction

All Implemented Interfaces:
  PrivilegedAction<org.osgi.framework.BundleContext>

    public class GetBundleContextAction

extends Object
implements PrivilegedAction<org.osgi.framework.BundleContext>

Constructor Summary
`GetBundleContextAction(BasicSubsystem subsystem)`

Method Summary
`org.osgi.framework.BundleContext` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetBundleContextAction

    public GetBundleContextAction(BasicSubsystem subsystem)

Method Detail

### run

    public org.osgi.framework.BundleContext run()

  Specified by:
    `run` in interface `PrivilegedAction<org.osgi.framework.BundleContext>`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.